%define their_ver 0.11
%define ver 0.11
%define rel 1mdk
%define last_name GnomeMeeting

Summary: Gnome H.323 compatible client
Name: gnomemeeting
Version: %{ver}
Release: %{rel}
License: GPL
Group: Networking/Other
BuildRequires: gdk-pixbuf-devel gettext-devel gnome-core-devel
Buildrequires: libldap2-devel libsasl7-devel openssl-devel
BuildRequires: openh323_1-devel >= 1.6.1
Buildrequires: pwlib1-devel >= 1.1.36-6mdk
Source: http://130.104.229.225/gnomemeeting/downloads/%{last_name}-%{their_ver}.tar.bz2
Source1:%{name}_icons.tar.bz2
URL: http://www.gnomemeeting.org
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: pwlib1 >= 1.1.36-6mdk openh323_1 >= 1.6.1
Conflicts: dynamic <= 0.3-2mdk

%description
GnomeMeeting is an H.323 compatible client designed for the Gnome desktop. 

%prep
%setup -q -n %{last_name}-%{version}

tar xfj %{SOURCE1}

perl -pi -e "s|liboh323|libh323_linux_x86_r|" $RPM_BUILD_DIR/%{last_name}-%{version}/configure.in
perl -pi -e "s|liboh323|libh323_linux_x86_r|" $RPM_BUILD_DIR/%{last_name}-%{version}/configure
perl -pi -e "s|\-loh323|\-lh323_linux_x86_r|" $RPM_BUILD_DIR/%{last_name}-%{version}/configure.in
perl -pi -e "s|\-loh323|\-lh323_linux_x86_r|" $RPM_BUILD_DIR/%{last_name}-%{version}/configure
perl -pi -e "s|\/usr\/include\/oh323|\/usr\/include\/openh323|" $RPM_BUILD_DIR/%{last_name}-%{version}/configure.in
perl -pi -e "s|\/usr\/include\/oh323|\/usr\/include\/openh323|" $RPM_BUILD_DIR/%{last_name}-%{version}/configure

%build
%configure --with-openh323-includes=%{_includedir}/openh323 \

make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang GnomeMeeting

#icons entries
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}

cp -a %{name}-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
cp -a %{name}-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
cp -a %{name}-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

#%menu entries
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF >$RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{_bindir}/%{name}" needs="gnome" \
icon="%{name}.xpm" section="Networking/Other" \
title="Gnomemeeting" longtitle="Gnomemeeting"
?package(%{name}): command="%{_bindir}/%{name} --noapplet" needs="x11" \
icon="%{name}.xpm" section="Networking/Other" \
title="Gnomemeeting" longtitle="Gnomemeeting"
EOF

chmod 0644 $RPM_BUILD_DIR/%{last_name}-%{version}/{README,COPYING,ChangeLog,ABOUT-NLS,FAQ,AUTHORS}

%define launchers /etc/dynamic/launchers/webcam
# dynamic support
mkdir -p $RPM_BUILD_ROOT%launchers
cat > $RPM_BUILD_ROOT%launchers/%name.desktop << EOF
[Desktop Entry]
Name=Gnomemeeting \$device
Comment=Gnomemeeting
TryExec=/usr/bin/gnomemeeting
Exec=/usr/bin/gnomemeeting -a
Terminal=false
Icon=gnomemeeting.xpm
Type=Application
EOF

%post
%{update_menus}

update-alternatives --install %{launchers}/kde.desktop webcam.kde.dynamic %launchers/%name.desktop 40
update-alternatives --install %{launchers}/gnome.desktop webcam.gnome.dynamic %launchers/%name.desktop 40

%postun
%{clean_menus}

if [ $1 = 0 ]; then
  update-alternatives --remove webcam.kde.dynamic %launchers/%name.desktop
  update-alternatives --remove webcam.gnome.dynamic %launchers/%name.desktop
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f GnomeMeeting.lang
%defattr(-,root,root)
%doc README COPYING ChangeLog ABOUT-NLS FAQ AUTHORS
%{_bindir}/*
%{_datadir}/gnome/apps/Internet/*
%{_datadir}/pixmaps/*
%{_datadir}/sounds/%{name}
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_menudir}/%{name}
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_liconsdir}/%{name}.xpm
%config(noreplace) %launchers/%name.desktop

%changelog
* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 0.11-1mdk
- 0.11

* Mon Sep 17 2001 Stefan van der Eijk <stefan@eijk.nu> 0.11-0.PRE3.3mdk
- BuildRequires: gettext-devel
- Remove redundant BuildRequires

* Wed Sep 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.11-0.PRE3.2mdk
- added dynamic desktop entry

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.11-0.PRE3.1mdk
- update the versions in Requires & Buildrequires sections
- use /usr/include/openh323 instead of /usr/include/oh323
- use -lh323_linux_x86_r instead if -loh323
- 0.11PRE3

* Sun Aug 26 2001 Florin <florin@mandrakesoft.com> 0.10-8mdk
- add the versions in the Require section
- fix the permissions of some doc files

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10-7mdk
- Fix menu entry for applet support
- Add missing directory

* Mon Aug 20 2001 Florin <florin@mandrakesoft.com> 0.10-6mdk
- rebuild due too pwlib fixes

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-5mdk
- update the xpm icons

* Sun Aug 19 2001 Florin <florin@mandrakesoft.com> 0.10-4mdk
- new modified sources

* Sat Aug 18 2001 Florin <florin@mandrakesoft.com> 0.10-3mdk
- slighlty modified sources
- use the new PTLIB_INCLUDE_DIR & OPENH323_INCLUDE_DIR var
- don't need the old patches anymore
- add the ptlib patch because of pwlib

* Thu Aug 16 2001 Florin <florin@mandrakesoft.com> 0.10-2mdk
- added patches (more elegant)

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 0.10-1mdk
- first Mandrake release
